StartRunBatch - HealthOmics API Reference

StartRunBatch

Starts a batch of workflow runs. You can group up to 100,000 runs into a single batch that share a common configuration defined in defaultRunSetting. Per-run overrides can be provided either inline via inlineSettings (up to 100 runs) or via a JSON file stored in Amazon S3 via s3UriSettings (up to 100,000 runs).

StartRunBatch validates common fields synchronously and returns immediately with a batch ID and status PENDING. Runs are submitted gradually and asynchronously at a rate governed by your StartRun throughput quota.

Request Syntax

POST /runBatch HTTP/1.1 Content-type: application/json { "batchName": "string", "batchRunSettings": { ... }, "defaultRunSetting": { "cacheBehavior": "string", "cacheId": "string", "logLevel": "string", "name": "string", "outputBucketOwnerId": "string", "outputUri": "string", "parameters": JSON value, "priority": number, "retentionMode": "string", "roleArn": "string", "runGroupId": "string", "runTags": { "string" : "string" }, "storageCapacity": number, "storageType": "string", "workflowId": "string", "workflowOwnerId": "string", "workflowType": "string", "workflowVersionName": "string" }, "requestId": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

batchName

An optional user-friendly name for the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Required: No

batchRunSettings

The individual run configurations. Specify exactly one of inlineSettings or s3UriSettings. See BatchRunSettings.

Type: BatchRunSettings object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

defaultRunSetting

Shared configuration applied to all runs in the batch. See DefaultRunSetting.

Type: DefaultRunSetting object

Required: Yes

requestId

A client token used to deduplicate retry requests and prevent duplicate batches from being created.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Required: Yes

tags

AWS tags to associate with the batch resource. These tags are not inherited by individual runs. To tag individual runs, use defaultRunSetting.runTags.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "arn": "string", "id": "string", "status": "string", "tags": { "string" : "string" }, "uuid": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

arn

The unique ARN of the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:.+

id

The identifier portion of the run batch ARN.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 18.

Pattern: [0-9]+

status

The initial status of the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Valid Values: PENDING | SUBMITTING | INPROGRESS | STOPPING | CANCELLED | FAILED | PROCESSED | RUNS_DELETING | RUNS_DELETED

tags

AWS tags associated with the run batch.

Type: String to string map

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

uuid

The universally unique identifier (UUID) for the run batch.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+

Errors

For information about the errors that are common to all actions, see Common Errors.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request cannot be applied to the target resource in its current state.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred. Try the request again.

HTTP Status Code: 500

RequestTimeoutException

The request timed out.

HTTP Status Code: 408

ResourceNotFoundException

The target resource was not found in the current Region.

HTTP Status Code: 404

ServiceQuotaExceededException

The request exceeds a service quota.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: